[lfs-patches] r3740 - trunk/mypaint-brushes

ken at higgs.linuxfromscratch.org ken at higgs.linuxfromscratch.org
Fri May 4 14:55:39 PDT 2018


Author: ken
Date: Fri May  4 14:55:39 2018
New Revision: 3740

Log:
Add a patch so that mypaint-brushes will build with current automake.

Added:
   trunk/mypaint-brushes/
   trunk/mypaint-brushes/mypaint-brushes-1.3.0-automake_1.16-1.patch

Added: trunk/mypaint-brushes/mypaint-brushes-1.3.0-automake_1.16-1.patch
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/mypaint-brushes/mypaint-brushes-1.3.0-automake_1.16-1.patch	Fri May  4 14:55:39 2018	(r3740)
@@ -0,0 +1,21 @@
+Submitted By: Ken Moffat <ken at linuxfromscratch dot org>
+Date: 2018-05-04
+Initial Package Version: 1.3.0
+Upstream Status: Applied
+Origin: Self
+Description: Allows it to build with newer automake.
+
+diff --git a/autogen.sh b/autogen.sh
+index 18ad577..166fc3d 100755
+--- a/autogen.sh
++++ b/autogen.sh
+@@ -90,6 +90,9 @@ fi
+ echo -n "checking for automake >= $AUTOMAKE_REQUIRED_VERSION ... "
+ if ($AUTOMAKE --version) < /dev/null > /dev/null 2>&1; then
+    AUTOMAKE=$AUTOMAKE
++elif (automake-1.16 --version) < /dev/null > /dev/null 2>&1; then
++   AUTOMAKE=automake-1.16
++   ACLOCAL=aclocal-1.16
+ elif (automake-1.15 --version) < /dev/null > /dev/null 2>&1; then
+    AUTOMAKE=automake-1.15
+    ACLOCAL=aclocal-1.15


More information about the patches mailing list